Can't update to version 13.22 ModuleNotFoundError: No module named 'bleach_allowlist'

I tried to update to latest version like I usually do but this time I got this error and I had to revert back to a previous snapshot… I’m on 13.19 right now

ModuleNotFoundError: No module named ‘bleach_allowlist’

I tried pip install bleach-allowlist and it worked but still not working with the bench update command.

2 Likes

Hi,
try sudo pip3 install bleach_allowlist or try: bench update --requirements

2 Likes

I did try bench update --requirements and it succeed but after I did a bench update and it crashed again.

Crashed again with the ModuleNotFoundError: No module named ‘bleach_allowlist’ message?

What happens if you bench console, then import frappe, then import bleach_allowlist ?

yes with same error.

I’ll make a new backup and try again tonight.

try below on frappe-bench directory
./env/bin/pip3 install bleach_allowlist
worked for me

9 Likes

./env/bin/pip3 install bleach_allowlist

Worked for me as well

1 Like

./env/bin/pip3 install bleach_allowlist
Worked for me as well

1 Like

This worked for me! Thank you very much! :slight_smile:

worked well. Thank you!

This worked for me!! :+1:

Worked like Charm. Thanks alot.